AnalogX SimpleServer:WWW Buffer Overflow

This script is Copyright (C) 2002-2011 Tenable Network Security, Inc.


Synopsis :

The remote web server is vulnerable to a buffer overflow attack.

Description :

The remote installation of AnalogX SimpleServer:WWW is affected by a
buffer overflow triggered when processing input, such as a series of
640 '@' characters. An unauthenticated, remote attacker can leverage
this issue to crash the affected service or even to execute arbitrary
code on the remote host.

See also :

http://archives.neohapsis.com/archives/bugtraq/2002-06/0106.html
http://archives.neohapsis.com/archives/bugtraq/2002-07/0012.html

Solution :

Upgrade to version 1.23 or later as that reportedly fixes the issue.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 7.5
(CVSS2#E:H/RL:U/RC:ND)
Public Exploit Available : true

Family: Web Servers

Nessus Plugin ID: 11035 ()

Bugtraq ID: 5006

CVE ID: CVE-2002-0968